<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Honorar;

class HonorarView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'mitarbeiter/kursuebersicht/detailsreiter/honorar.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn($this->viewModel->dozHonorar);
  }

  protected function getDefaultDataModulArray()
  {
    
    
    
    $this->viewModel->dozHonorar->show_checkbox = $this->viewModel->showCheckbox;



    
    
    $this->viewModel->dozHonorar->honfaktor = $this->viewModel->dozHonorar->getVarValue('honfaktorMitKomma');
    $this->viewModel->dozHonorar->honsatz = $this->viewModel->dozHonorar->getVarValue('honsatzMitKomma');

    
    return array($this->viewModel->index => $this->viewModel->dozHonorar);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpDozHonorar(true);
  }
}

class HonorarViewModel
{
  public $dozHonorar;
  public $columns;
  public $index;
  public $showCheckbox;
}